aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Monnier2008-04-16 19:53:06 +0000
committerStefan Monnier2008-04-16 19:53:06 +0000
commita51f4969027895470f93bc988a2bda3c7dee5ff1 (patch)
treef5277d3c1b6de4f6fdddad8dfa170f65a9be32fc
parent7316a2b57c54909629ecb6db0585a960a1fc2624 (diff)
downloademacs-a51f4969027895470f93bc988a2bda3c7dee5ff1.tar.gz
emacs-a51f4969027895470f93bc988a2bda3c7dee5ff1.zip
* configure.in (SYNC_INPUT): Use OPTION_DEFAULT_ON and AC_DEFINE
rather than change CPPFLAGS. (HAVE_GTK): Rename to USE_GTK. * Makefile.in: Don't use HAVE_GTK and don't -DUSE_GTK since it's now done in config.h.
-rw-r--r--ChangeLog6
-rwxr-xr-xconfigure761
-rw-r--r--configure.in18
-rw-r--r--src/ChangeLog5
-rw-r--r--src/Makefile.in11
-rw-r--r--src/config.in30
6 files changed, 543 insertions, 288 deletions
diff --git a/ChangeLog b/ChangeLog
index 9833ddd7751..72dda4f96be 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
12008-04-16 Stefan Monnier <monnier@iro.umontreal.ca>
2
3 * configure.in (SYNC_INPUT): Use OPTION_DEFAULT_ON and AC_DEFINE
4 rather than change CPPFLAGS.
5 (HAVE_GTK): Rename to USE_GTK.
6
12008-04-16 Yavor Doganov <yavor@gnu.org> (tiny change) 72008-04-16 Yavor Doganov <yavor@gnu.org> (tiny change)
2 8
3 * configure.in: Replace the obsolete macros AC_AIX and 9 * configure.in: Replace the obsolete macros AC_AIX and
diff --git a/configure b/configure
index 52da306ad4a..745eb22ce7c 100755
--- a/configure
+++ b/configure
@@ -577,7 +577,6 @@ PACKAGE_STRING='emacs 23.0.60'
577PACKAGE_BUGREPORT='' 577PACKAGE_BUGREPORT=''
578 578
579ac_unique_file="src/lisp.h" 579ac_unique_file="src/lisp.h"
580ac_config_libobj_dir=src
581# Factoring default headers for most tests. 580# Factoring default headers for most tests.
582ac_includes_default="\ 581ac_includes_default="\
583#include <stdio.h> 582#include <stdio.h>
@@ -614,6 +613,7 @@ ac_includes_default="\
614# include <unistd.h> 613# include <unistd.h>
615#endif" 614#endif"
616 615
616ac_config_libobj_dir=src
617ac_header_list= 617ac_header_list=
618ac_func_list= 618ac_func_list=
619ac_subst_vars='SHELL 619ac_subst_vars='SHELL
@@ -1333,7 +1333,6 @@ Optional Features:
1333 specify install directory for Emacs.app on Mac OS X 1333 specify install directory for Emacs.app on Mac OS X
1334 [DIR=/Application] 1334 [DIR=/Application]
1335 --disable-font-backend don't compile font-backend support 1335 --disable-font-backend don't compile font-backend support
1336 --disable-sync-input don't compile code with sync-input
1337 --enable-asserts compile code with asserts enabled 1336 --enable-asserts compile code with asserts enabled
1338 --enable-maintainer-mode 1337 --enable-maintainer-mode
1339 enable make rules and dependencies not useful (and 1338 enable make rules and dependencies not useful (and
@@ -1351,6 +1350,7 @@ Optional Packages:
1351 --with-kerberos5 support Kerberos version 5 authenticated POP 1350 --with-kerberos5 support Kerberos version 5 authenticated POP
1352 --with-hesiod support Hesiod to get the POP server host 1351 --with-hesiod support Hesiod to get the POP server host
1353 --without-sound don't compile with sound support 1352 --without-sound don't compile with sound support
1353 --without-sync-input Process async input synchronously
1354 --with-x-toolkit=KIT use an X toolkit (KIT one of: yes, lucid, athena, 1354 --with-x-toolkit=KIT use an X toolkit (KIT one of: yes, lucid, athena,
1355 motif, gtk, no) 1355 motif, gtk, no)
1356 --without-xpm don't compile with XPM image support 1356 --without-xpm don't compile with XPM image support
@@ -1932,6 +1932,22 @@ fi
1932 1932
1933 1933
1934 1934
1935# Check whether --with-sync-input was given.
1936if test "${with_sync_input+set}" = set; then
1937 withval=$with_sync_input;
1938else
1939 with_sync_input=yes
1940fi
1941
1942if test "$with_sync_input" = yes; then
1943
1944cat >>confdefs.h <<\_ACEOF
1945#define SYNC_INPUT 1
1946_ACEOF
1947
1948fi
1949
1950
1935# Check whether --with-x-toolkit was given. 1951# Check whether --with-x-toolkit was given.
1936if test "${with_x_toolkit+set}" = set; then 1952if test "${with_x_toolkit+set}" = set; then
1937 withval=$with_x_toolkit; case "${withval}" in 1953 withval=$with_x_toolkit; case "${withval}" in
@@ -2137,15 +2153,6 @@ else
2137fi 2153fi
2138 2154
2139 2155
2140## Enabled by default.
2141# Check whether --enable-sync-input was given.
2142if test "${enable_sync_input+set}" = set; then
2143 enableval=$enable_sync_input; USE_SYNC_INPUT=$enableval
2144else
2145 USE_SYNC_INPUT=yes
2146fi
2147
2148
2149# Check whether --enable-asserts was given. 2156# Check whether --enable-asserts was given.
2150if test "${enable_asserts+set}" = set; then 2157if test "${enable_asserts+set}" = set; then
2151 enableval=$enable_asserts; USE_XASSERTS=$enableval 2158 enableval=$enable_asserts; USE_XASSERTS=$enableval
@@ -3902,6 +3909,12 @@ then
3902 CC="$CC $NON_GCC_TEST_OPTIONS" 3909 CC="$CC $NON_GCC_TEST_OPTIONS"
3903fi 3910fi
3904 3911
3912
3913cat >>confdefs.h <<\_ACEOF
3914#define _GNU_SOURCE 1
3915_ACEOF
3916
3917
3905ac_ext=c 3918ac_ext=c
3906ac_cpp='$CPP $CPPFLAGS' 3919ac_cpp='$CPP $CPPFLAGS'
3907ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3920ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -4324,9 +4337,471 @@ fi
4324rm -f conftest* 4337rm -f conftest*
4325 4338
4326 4339
4340{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4341echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
4342if test "${ac_cv_header_stdc+set}" = set; then
4343 echo $ECHO_N "(cached) $ECHO_C" >&6
4344else
4345 cat >conftest.$ac_ext <<_ACEOF
4346/* confdefs.h. */
4347_ACEOF
4348cat confdefs.h >>conftest.$ac_ext
4349cat >>conftest.$ac_ext <<_ACEOF
4350/* end confdefs.h. */
4351#include <stdlib.h>
4352#include <stdarg.h>
4353#include <string.h>
4354#include <float.h>
4355
4356int
4357main ()
4358{
4359
4360 ;
4361 return 0;
4362}
4363_ACEOF
4364rm -f conftest.$ac_objext
4365if { (ac_try="$ac_compile"
4366case "(($ac_try" in
4367 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4368 *) ac_try_echo=$ac_try;;
4369esac
4370eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4371 (eval "$ac_compile") 2>conftest.er1
4372 ac_status=$?
4373 grep -v '^ *+' conftest.er1 >conftest.err
4374 rm -f conftest.er1
4375 cat conftest.err >&5
4376 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4377 (exit $ac_status); } && {
4378 test -z "$ac_c_werror_flag" ||
4379 test ! -s conftest.err
4380 } && test -s conftest.$ac_objext; then
4381 ac_cv_header_stdc=yes
4382else
4383 echo "$as_me: failed program was:" >&5
4384sed 's/^/| /' conftest.$ac_ext >&5
4385
4386 ac_cv_header_stdc=no
4387fi
4388
4389rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4390
4391if test $ac_cv_header_stdc = yes; then
4392 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
4393 cat >conftest.$ac_ext <<_ACEOF
4394/* confdefs.h. */
4395_ACEOF
4396cat confdefs.h >>conftest.$ac_ext
4397cat >>conftest.$ac_ext <<_ACEOF
4398/* end confdefs.h. */
4399#include <string.h>
4400
4401_ACEOF
4402if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4403 $EGREP "memchr" >/dev/null 2>&1; then
4404 :
4405else
4406 ac_cv_header_stdc=no
4407fi
4408rm -f conftest*
4409
4410fi
4411
4412if test $ac_cv_header_stdc = yes; then
4413 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
4414 cat >conftest.$ac_ext <<_ACEOF
4415/* confdefs.h. */
4416_ACEOF
4417cat confdefs.h >>conftest.$ac_ext
4418cat >>conftest.$ac_ext <<_ACEOF
4419/* end confdefs.h. */
4420#include <stdlib.h>
4421
4422_ACEOF
4423if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4424 $EGREP "free" >/dev/null 2>&1; then
4425 :
4426else
4427 ac_cv_header_stdc=no
4428fi
4429rm -f conftest*
4430
4431fi
4432
4433if test $ac_cv_header_stdc = yes; then
4434 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4435 if test "$cross_compiling" = yes; then
4436 :
4437else
4438 cat >conftest.$ac_ext <<_ACEOF
4439/* confdefs.h. */
4440_ACEOF
4441cat confdefs.h >>conftest.$ac_ext
4442cat >>conftest.$ac_ext <<_ACEOF
4443/* end confdefs.h. */
4444#include <ctype.h>
4445#include <stdlib.h>
4446#if ((' ' & 0x0FF) == 0x020)
4447# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
4448# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4449#else
4450# define ISLOWER(c) \
4451 (('a' <= (c) && (c) <= 'i') \
4452 || ('j' <= (c) && (c) <= 'r') \
4453 || ('s' <= (c) && (c) <= 'z'))
4454# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
4455#endif
4456
4457#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
4458int
4459main ()
4460{
4461 int i;
4462 for (i = 0; i < 256; i++)
4463 if (XOR (islower (i), ISLOWER (i))
4464 || toupper (i) != TOUPPER (i))
4465 return 2;
4466 return 0;
4467}
4468_ACEOF
4469rm -f conftest$ac_exeext
4470if { (ac_try="$ac_link"
4471case "(($ac_try" in
4472 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4473 *) ac_try_echo=$ac_try;;
4474esac
4475eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4476 (eval "$ac_link") 2>&5
4477 ac_status=$?
4478 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4479 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4480 { (case "(($ac_try" in
4481 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4482 *) ac_try_echo=$ac_try;;
4483esac
4484eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4485 (eval "$ac_try") 2>&5
4486 ac_status=$?
4487 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4488 (exit $ac_status); }; }; then
4489 :
4490else
4491 echo "$as_me: program exited with status $ac_status" >&5
4492echo "$as_me: failed program was:" >&5
4493sed 's/^/| /' conftest.$ac_ext >&5
4494
4495( exit $ac_status )
4496ac_cv_header_stdc=no
4497fi
4498rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4499fi
4500
4501
4502fi
4503fi
4504{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
4505echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
4506if test $ac_cv_header_stdc = yes; then
4327 4507
4328cat >>confdefs.h <<\_ACEOF 4508cat >>confdefs.h <<\_ACEOF
4329#define _GNU_SOURCE 1 4509#define STDC_HEADERS 1
4510_ACEOF
4511
4512fi
4513
4514# On IRIX 5.3, sys/types and inttypes.h are conflicting.
4515
4516
4517
4518
4519
4520
4521
4522
4523
4524for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
4525 inttypes.h stdint.h unistd.h
4526do
4527as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4528{ echo "$as_me:$LINENO: checking for $ac_header" >&5
4529echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
4530if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
4531 echo $ECHO_N "(cached) $ECHO_C" >&6
4532else
4533 cat >conftest.$ac_ext <<_ACEOF
4534/* confdefs.h. */
4535_ACEOF
4536cat confdefs.h >>conftest.$ac_ext
4537cat >>conftest.$ac_ext <<_ACEOF
4538/* end confdefs.h. */
4539$ac_includes_default
4540
4541#include <$ac_header>
4542_ACEOF
4543rm -f conftest.$ac_objext
4544if { (ac_try="$ac_compile"
4545case "(($ac_try" in
4546 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4547 *) ac_try_echo=$ac_try;;
4548esac
4549eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4550 (eval "$ac_compile") 2>conftest.er1
4551 ac_status=$?
4552 grep -v '^ *+' conftest.er1 >conftest.err
4553 rm -f conftest.er1
4554 cat conftest.err >&5
4555 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4556 (exit $ac_status); } && {
4557 test -z "$ac_c_werror_flag" ||
4558 test ! -s conftest.err
4559 } && test -s conftest.$ac_objext; then
4560 eval "$as_ac_Header=yes"
4561else
4562 echo "$as_me: failed program was:" >&5
4563sed 's/^/| /' conftest.$ac_ext >&5
4564
4565 eval "$as_ac_Header=no"
4566fi
4567
4568rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4569fi
4570ac_res=`eval echo '${'$as_ac_Header'}'`
4571 { echo "$as_me:$LINENO: result: $ac_res" >&5
4572echo "${ECHO_T}$ac_res" >&6; }
4573if test `eval echo '${'$as_ac_Header'}'` = yes; then
4574 cat >>confdefs.h <<_ACEOF
4575#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4576_ACEOF
4577
4578fi
4579
4580done
4581
4582
4583if test "${ac_cv_header_minix_config_h+set}" = set; then
4584 { echo "$as_me:$LINENO: checking for minix/config.h" >&5
4585echo $ECHO_N "checking for minix/config.h... $ECHO_C" >&6; }
4586if test "${ac_cv_header_minix_config_h+set}" = set; then
4587 echo $ECHO_N "(cached) $ECHO_C" >&6
4588fi
4589{ echo "$as_me:$LINENO: result: $ac_cv_header_minix_config_h" >&5
4590echo "${ECHO_T}$ac_cv_header_minix_config_h" >&6; }
4591else
4592 # Is the header compilable?
4593{ echo "$as_me:$LINENO: checking minix/config.h usability" >&5
4594echo $ECHO_N "checking minix/config.h usability... $ECHO_C" >&6; }
4595cat >conftest.$ac_ext <<_ACEOF
4596/* confdefs.h. */
4597_ACEOF
4598cat confdefs.h >>conftest.$ac_ext
4599cat >>conftest.$ac_ext <<_ACEOF
4600/* end confdefs.h. */
4601$ac_includes_default
4602#include <minix/config.h>
4603_ACEOF
4604rm -f conftest.$ac_objext
4605if { (ac_try="$ac_compile"
4606case "(($ac_try" in
4607 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4608 *) ac_try_echo=$ac_try;;
4609esac
4610eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4611 (eval "$ac_compile") 2>conftest.er1
4612 ac_status=$?
4613 grep -v '^ *+' conftest.er1 >conftest.err
4614 rm -f conftest.er1
4615 cat conftest.err >&5
4616 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4617 (exit $ac_status); } && {
4618 test -z "$ac_c_werror_flag" ||
4619 test ! -s conftest.err
4620 } && test -s conftest.$ac_objext; then
4621 ac_header_compiler=yes
4622else
4623 echo "$as_me: failed program was:" >&5
4624sed 's/^/| /' conftest.$ac_ext >&5
4625
4626 ac_header_compiler=no
4627fi
4628
4629rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4630{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4631echo "${ECHO_T}$ac_header_compiler" >&6; }
4632
4633# Is the header present?
4634{ echo "$as_me:$LINENO: checking minix/config.h presence" >&5
4635echo $ECHO_N "checking minix/config.h presence... $ECHO_C" >&6; }
4636cat >conftest.$ac_ext <<_ACEOF
4637/* confdefs.h. */
4638_ACEOF
4639cat confdefs.h >>conftest.$ac_ext
4640cat >>conftest.$ac_ext <<_ACEOF
4641/* end confdefs.h. */
4642#include <minix/config.h>
4643_ACEOF
4644if { (ac_try="$ac_cpp conftest.$ac_ext"
4645case "(($ac_try" in
4646 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4647 *) ac_try_echo=$ac_try;;
4648esac
4649eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4650 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4651 ac_status=$?
4652 grep -v '^ *+' conftest.er1 >conftest.err
4653 rm -f conftest.er1
4654 cat conftest.err >&5
4655 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4656 (exit $ac_status); } >/dev/null && {
4657 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
4658 test ! -s conftest.err
4659 }; then
4660 ac_header_preproc=yes
4661else
4662 echo "$as_me: failed program was:" >&5
4663sed 's/^/| /' conftest.$ac_ext >&5
4664
4665 ac_header_preproc=no
4666fi
4667
4668rm -f conftest.err conftest.$ac_ext
4669{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4670echo "${ECHO_T}$ac_header_preproc" >&6; }
4671
4672# So? What about this header?
4673case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4674 yes:no: )
4675 { echo "$as_me:$LINENO: WARNING: minix/config.h: accepted by the compiler, rejected by the preprocessor!" >&5
4676echo "$as_me: WARNING: minix/config.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
4677 { echo "$as_me:$LINENO: WARNING: minix/config.h: proceeding with the compiler's result" >&5
4678echo "$as_me: WARNING: minix/config.h: proceeding with the compiler's result" >&2;}
4679 ac_header_preproc=yes
4680 ;;
4681 no:yes:* )
4682 { echo "$as_me:$LINENO: WARNING: minix/config.h: present but cannot be compiled" >&5
4683echo "$as_me: WARNING: minix/config.h: present but cannot be compiled" >&2;}
4684 { echo "$as_me:$LINENO: WARNING: minix/config.h: check for missing prerequisite headers?" >&5
4685echo "$as_me: WARNING: minix/config.h: check for missing prerequisite headers?" >&2;}
4686 { echo "$as_me:$LINENO: WARNING: minix/config.h: see the Autoconf documentation" >&5
4687echo "$as_me: WARNING: minix/config.h: see the Autoconf documentation" >&2;}
4688 { echo "$as_me:$LINENO: WARNING: minix/config.h: section \"Present But Cannot Be Compiled\"" >&5
4689echo "$as_me: WARNING: minix/config.h: section \"Present But Cannot Be Compiled\"" >&2;}
4690 { echo "$as_me:$LINENO: WARNING: minix/config.h: proceeding with the preprocessor's result" >&5
4691echo "$as_me: WARNING: minix/config.h: proceeding with the preprocessor's result" >&2;}
4692 { echo "$as_me:$LINENO: WARNING: minix/config.h: in the future, the compiler will take precedence" >&5
4693echo "$as_me: WARNING: minix/config.h: in the future, the compiler will take precedence" >&2;}
4694
4695 ;;
4696esac
4697{ echo "$as_me:$LINENO: checking for minix/config.h" >&5
4698echo $ECHO_N "checking for minix/config.h... $ECHO_C" >&6; }
4699if test "${ac_cv_header_minix_config_h+set}" = set; then
4700 echo $ECHO_N "(cached) $ECHO_C" >&6
4701else
4702 ac_cv_header_minix_config_h=$ac_header_preproc
4703fi
4704{ echo "$as_me:$LINENO: result: $ac_cv_header_minix_config_h" >&5
4705echo "${ECHO_T}$ac_cv_header_minix_config_h" >&6; }
4706
4707fi
4708if test $ac_cv_header_minix_config_h = yes; then
4709 MINIX=yes
4710else
4711 MINIX=
4712fi
4713
4714
4715if test "$MINIX" = yes; then
4716
4717cat >>confdefs.h <<\_ACEOF
4718#define _POSIX_SOURCE 1
4719_ACEOF
4720
4721
4722cat >>confdefs.h <<\_ACEOF
4723#define _POSIX_1_SOURCE 2
4724_ACEOF
4725
4726
4727cat >>confdefs.h <<\_ACEOF
4728#define _MINIX 1
4729_ACEOF
4730
4731fi
4732
4733
4734
4735
4736
4737
4738
4739
4740
4741
4742
4743 { echo "$as_me:$LINENO: checking whether it is safe to define __EXTENSIONS__" >&5
4744echo $ECHO_N "checking whether it is safe to define __EXTENSIONS__... $ECHO_C" >&6; }
4745if test "${ac_cv_safe_to_define___extensions__+set}" = set; then
4746 echo $ECHO_N "(cached) $ECHO_C" >&6
4747else
4748 cat >conftest.$ac_ext <<_ACEOF
4749/* confdefs.h. */
4750_ACEOF
4751cat confdefs.h >>conftest.$ac_ext
4752cat >>conftest.$ac_ext <<_ACEOF
4753/* end confdefs.h. */
4754
4755# define __EXTENSIONS__ 1
4756 $ac_includes_default
4757int
4758main ()
4759{
4760
4761 ;
4762 return 0;
4763}
4764_ACEOF
4765rm -f conftest.$ac_objext
4766if { (ac_try="$ac_compile"
4767case "(($ac_try" in
4768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4769 *) ac_try_echo=$ac_try;;
4770esac
4771eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4772 (eval "$ac_compile") 2>conftest.er1
4773 ac_status=$?
4774 grep -v '^ *+' conftest.er1 >conftest.err
4775 rm -f conftest.er1
4776 cat conftest.err >&5
4777 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4778 (exit $ac_status); } && {
4779 test -z "$ac_c_werror_flag" ||
4780 test ! -s conftest.err
4781 } && test -s conftest.$ac_objext; then
4782 ac_cv_safe_to_define___extensions__=yes
4783else
4784 echo "$as_me: failed program was:" >&5
4785sed 's/^/| /' conftest.$ac_ext >&5
4786
4787 ac_cv_safe_to_define___extensions__=no
4788fi
4789
4790rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4791fi
4792{ echo "$as_me:$LINENO: result: $ac_cv_safe_to_define___extensions__" >&5
4793echo "${ECHO_T}$ac_cv_safe_to_define___extensions__" >&6; }
4794 test $ac_cv_safe_to_define___extensions__ = yes &&
4795 cat >>confdefs.h <<\_ACEOF
4796#define __EXTENSIONS__ 1
4797_ACEOF
4798
4799 cat >>confdefs.h <<\_ACEOF
4800#define _POSIX_PTHREAD_SEMANTICS 1
4801_ACEOF
4802
4803 cat >>confdefs.h <<\_ACEOF
4804#define _TANDEM_SOURCE 1
4330_ACEOF 4805_ACEOF
4331 4806
4332 4807
@@ -5597,249 +6072,6 @@ esac
5597 6072
5598if test "${with_sound}" != "no"; then 6073if test "${with_sound}" != "no"; then
5599 # Sound support for GNU/Linux and the free BSDs. 6074 # Sound support for GNU/Linux and the free BSDs.
5600 { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5601echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
5602if test "${ac_cv_header_stdc+set}" = set; then
5603 echo $ECHO_N "(cached) $ECHO_C" >&6
5604else
5605 cat >conftest.$ac_ext <<_ACEOF
5606/* confdefs.h. */
5607_ACEOF
5608cat confdefs.h >>conftest.$ac_ext
5609cat >>conftest.$ac_ext <<_ACEOF
5610/* end confdefs.h. */
5611#include <stdlib.h>
5612#include <stdarg.h>
5613#include <string.h>
5614#include <float.h>
5615
5616int
5617main ()
5618{
5619
5620 ;
5621 return 0;
5622}
5623_ACEOF
5624rm -f conftest.$ac_objext
5625if { (ac_try="$ac_compile"
5626case "(($ac_try" in
5627 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5628 *) ac_try_echo=$ac_try;;
5629esac
5630eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5631 (eval "$ac_compile") 2>conftest.er1
5632 ac_status=$?
5633 grep -v '^ *+' conftest.er1 >conftest.err
5634 rm -f conftest.er1
5635 cat conftest.err >&5
5636 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5637 (exit $ac_status); } && {
5638 test -z "$ac_c_werror_flag" ||
5639 test ! -s conftest.err
5640 } && test -s conftest.$ac_objext; then
5641 ac_cv_header_stdc=yes
5642else
5643 echo "$as_me: failed program was:" >&5
5644sed 's/^/| /' conftest.$ac_ext >&5
5645
5646 ac_cv_header_stdc=no
5647fi
5648
5649rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5650
5651if test $ac_cv_header_stdc = yes; then
5652 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5653 cat >conftest.$ac_ext <<_ACEOF
5654/* confdefs.h. */
5655_ACEOF
5656cat confdefs.h >>conftest.$ac_ext
5657cat >>conftest.$ac_ext <<_ACEOF
5658/* end confdefs.h. */
5659#include <string.h>
5660
5661_ACEOF
5662if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5663 $EGREP "memchr" >/dev/null 2>&1; then
5664 :
5665else
5666 ac_cv_header_stdc=no
5667fi
5668rm -f conftest*
5669
5670fi
5671
5672if test $ac_cv_header_stdc = yes; then
5673 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5674 cat >conftest.$ac_ext <<_ACEOF
5675/* confdefs.h. */
5676_ACEOF
5677cat confdefs.h >>conftest.$ac_ext
5678cat >>conftest.$ac_ext <<_ACEOF
5679/* end confdefs.h. */
5680#include <stdlib.h>
5681
5682_ACEOF
5683if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5684 $EGREP "free" >/dev/null 2>&1; then
5685 :
5686else
5687 ac_cv_header_stdc=no
5688fi
5689rm -f conftest*
5690
5691fi
5692
5693if test $ac_cv_header_stdc = yes; then
5694 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
5695 if test "$cross_compiling" = yes; then
5696 :
5697else
5698 cat >conftest.$ac_ext <<_ACEOF
5699/* confdefs.h. */
5700_ACEOF
5701cat confdefs.h >>conftest.$ac_ext
5702cat >>conftest.$ac_ext <<_ACEOF
5703/* end confdefs.h. */
5704#include <ctype.h>
5705#include <stdlib.h>
5706#if ((' ' & 0x0FF) == 0x020)
5707# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
5708# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
5709#else
5710# define ISLOWER(c) \
5711 (('a' <= (c) && (c) <= 'i') \
5712 || ('j' <= (c) && (c) <= 'r') \
5713 || ('s' <= (c) && (c) <= 'z'))
5714# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5715#endif
5716
5717#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5718int
5719main ()
5720{
5721 int i;
5722 for (i = 0; i < 256; i++)
5723 if (XOR (islower (i), ISLOWER (i))
5724 || toupper (i) != TOUPPER (i))
5725 return 2;
5726 return 0;
5727}
5728_ACEOF
5729rm -f conftest$ac_exeext
5730if { (ac_try="$ac_link"
5731case "(($ac_try" in
5732 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5733 *) ac_try_echo=$ac_try;;
5734esac
5735eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5736 (eval "$ac_link") 2>&5
5737 ac_status=$?
5738 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5739 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5740 { (case "(($ac_try" in
5741 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5742 *) ac_try_echo=$ac_try;;
5743esac
5744eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5745 (eval "$ac_try") 2>&5
5746 ac_status=$?
5747 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5748 (exit $ac_status); }; }; then
5749 :
5750else
5751 echo "$as_me: program exited with status $ac_status" >&5
5752echo "$as_me: failed program was:" >&5
5753sed 's/^/| /' conftest.$ac_ext >&5
5754
5755( exit $ac_status )
5756ac_cv_header_stdc=no
5757fi
5758rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5759fi
5760
5761
5762fi
5763fi
5764{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5765echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
5766if test $ac_cv_header_stdc = yes; then
5767
5768cat >>confdefs.h <<\_ACEOF
5769#define STDC_HEADERS 1
5770_ACEOF
5771
5772fi
5773
5774# On IRIX 5.3, sys/types and inttypes.h are conflicting.
5775
5776
5777
5778
5779
5780
5781
5782
5783
5784for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
5785 inttypes.h stdint.h unistd.h
5786do
5787as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5788{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5789echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5790if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5791 echo $ECHO_N "(cached) $ECHO_C" >&6
5792else
5793 cat >conftest.$ac_ext <<_ACEOF
5794/* confdefs.h. */
5795_ACEOF
5796cat confdefs.h >>conftest.$ac_ext
5797cat >>conftest.$ac_ext <<_ACEOF
5798/* end confdefs.h. */
5799$ac_includes_default
5800
5801#include <$ac_header>
5802_ACEOF
5803rm -f conftest.$ac_objext
5804if { (ac_try="$ac_compile"
5805case "(($ac_try" in
5806 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5807 *) ac_try_echo=$ac_try;;
5808esac
5809eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5810 (eval "$ac_compile") 2>conftest.er1
5811 ac_status=$?
5812 grep -v '^ *+' conftest.er1 >conftest.err
5813 rm -f conftest.er1
5814 cat conftest.err >&5
5815 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5816 (exit $ac_status); } && {
5817 test -z "$ac_c_werror_flag" ||
5818 test ! -s conftest.err
5819 } && test -s conftest.$ac_objext; then
5820 eval "$as_ac_Header=yes"
5821else
5822 echo "$as_me: failed program was:" >&5
5823sed 's/^/| /' conftest.$ac_ext >&5
5824
5825 eval "$as_ac_Header=no"
5826fi
5827
5828rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5829fi
5830ac_res=`eval echo '${'$as_ac_Header'}'`
5831 { echo "$as_me:$LINENO: result: $ac_res" >&5
5832echo "${ECHO_T}$ac_res" >&6; }
5833if test `eval echo '${'$as_ac_Header'}'` = yes; then
5834 cat >>confdefs.h <<_ACEOF
5835#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5836_ACEOF
5837
5838fi
5839
5840done
5841
5842
5843 6075
5844 6076
5845 6077
@@ -10999,7 +11231,7 @@ echo "$as_me: error: Gtk+ wanted, but it does not compile, see config.log. Mayb
10999 HAVE_GTK=yes 11231 HAVE_GTK=yes
11000 11232
11001cat >>confdefs.h <<\_ACEOF 11233cat >>confdefs.h <<\_ACEOF
11002#define HAVE_GTK 1 11234#define USE_GTK 1
11003_ACEOF 11235_ACEOF
11004 11236
11005 USE_X_TOOLKIT=none 11237 USE_X_TOOLKIT=none
@@ -18588,11 +18820,13 @@ _ACEOF
18588cat confdefs.h >>conftest.$ac_ext 18820cat confdefs.h >>conftest.$ac_ext
18589cat >>conftest.$ac_ext <<_ACEOF 18821cat >>conftest.$ac_ext <<_ACEOF
18590/* end confdefs.h. */ 18822/* end confdefs.h. */
18591#include <stdio.h> 18823#include <sys/types.h> /* for off_t */
18824 #include <stdio.h>
18592int 18825int
18593main () 18826main ()
18594{ 18827{
18595return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); 18828int (*fp) (FILE *, off_t, int) = fseeko;
18829 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18596 ; 18830 ;
18597 return 0; 18831 return 0;
18598} 18832}
@@ -18632,11 +18866,13 @@ cat confdefs.h >>conftest.$ac_ext
18632cat >>conftest.$ac_ext <<_ACEOF 18866cat >>conftest.$ac_ext <<_ACEOF
18633/* end confdefs.h. */ 18867/* end confdefs.h. */
18634#define _LARGEFILE_SOURCE 1 18868#define _LARGEFILE_SOURCE 1
18635#include <stdio.h> 18869#include <sys/types.h> /* for off_t */
18870 #include <stdio.h>
18636int 18871int
18637main () 18872main ()
18638{ 18873{
18639return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); 18874int (*fp) (FILE *, off_t, int) = fseeko;
18875 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18640 ; 18876 ;
18641 return 0; 18877 return 0;
18642} 18878}
@@ -23918,11 +24154,6 @@ if test $USE_XASSERTS = yes; then
23918 CPPFLAGS="$CPPFLAGS -DXASSERTS=1" 24154 CPPFLAGS="$CPPFLAGS -DXASSERTS=1"
23919fi 24155fi
23920 24156
23921if test $USE_SYNC_INPUT = yes; then
23922 echo " Compiling with sync input."
23923 CPPFLAGS="$CPPFLAGS -DSYNC_INPUT=1"
23924fi
23925
23926echo 24157echo
23927 24158
23928if test "$USE_X_TOOLKIT" = GTK; then 24159if test "$USE_X_TOOLKIT" = GTK; then
diff --git a/configure.in b/configure.in
index c6a0f059c00..31523db9d5c 100644
--- a/configure.in
+++ b/configure.in
@@ -99,6 +99,11 @@ fi
99 99
100OPTION_DEFAULT_ON([sound],[don't compile with sound support]) 100OPTION_DEFAULT_ON([sound],[don't compile with sound support])
101 101
102OPTION_DEFAULT_ON([sync-input],[Process async input synchronously])
103if test "$with_sync_input" = yes; then
104 AC_DEFINE(SYNC_INPUT, 1, [Process async input synchronously.])
105fi
106
102dnl FIXME currently it is not the last. 107dnl FIXME currently it is not the last.
103dnl This should be the last --with option, because --with-x is 108dnl This should be the last --with option, because --with-x is
104dnl added later on when we find the path of X, and it's best to 109dnl added later on when we find the path of X, and it's best to
@@ -173,12 +178,6 @@ AC_ARG_ENABLE(font-backend,
173 USE_FONT_BACKEND=$enableval, 178 USE_FONT_BACKEND=$enableval,
174 USE_FONT_BACKEND=yes) 179 USE_FONT_BACKEND=yes)
175 180
176## Enabled by default.
177AC_ARG_ENABLE(sync-input,
178[AS_HELP_STRING([--disable-sync-input], [don't compile code with sync-input])],
179 USE_SYNC_INPUT=$enableval,
180 USE_SYNC_INPUT=yes)
181
182AC_ARG_ENABLE(asserts, 181AC_ARG_ENABLE(asserts,
183[AS_HELP_STRING([--enable-asserts], [compile code with asserts enabled])], 182[AS_HELP_STRING([--enable-asserts], [compile code with asserts enabled])],
184 USE_XASSERTS=$enableval, 183 USE_XASSERTS=$enableval,
@@ -1670,7 +1669,7 @@ if test x"$pkg_check_gtk" = xyes; then
1670 fi 1669 fi
1671 else 1670 else
1672 HAVE_GTK=yes 1671 HAVE_GTK=yes
1673 AC_DEFINE(HAVE_GTK, 1, [Define to 1 if using GTK.]) 1672 AC_DEFINE(USE_GTK, 1, [Define to 1 if using GTK.])
1674 USE_X_TOOLKIT=none 1673 USE_X_TOOLKIT=none
1675 if $PKG_CONFIG --atleast-version=2.10 gtk+-2.0; then 1674 if $PKG_CONFIG --atleast-version=2.10 gtk+-2.0; then
1676 : 1675 :
@@ -3008,11 +3007,6 @@ if test $USE_XASSERTS = yes; then
3008 CPPFLAGS="$CPPFLAGS -DXASSERTS=1" 3007 CPPFLAGS="$CPPFLAGS -DXASSERTS=1"
3009fi 3008fi
3010 3009
3011if test $USE_SYNC_INPUT = yes; then
3012 echo " Compiling with sync input."
3013 CPPFLAGS="$CPPFLAGS -DSYNC_INPUT=1"
3014fi
3015
3016echo 3010echo
3017 3011
3018if test "$USE_X_TOOLKIT" = GTK; then 3012if test "$USE_X_TOOLKIT" = GTK; then
diff --git a/src/ChangeLog b/src/ChangeLog
index b814ed3e57f..dd0d8cd266f 100644
--- a/src/ChangeLog
+++ b/src/ChangeLog
@@ -1,3 +1,8 @@
12008-04-16 Stefan Monnier <monnier@iro.umontreal.ca>
2
3 * Makefile.in: Don't use HAVE_GTK and don't -DUSE_GTK since it's now
4 done in config.h.
5
12008-04-16 Juanma Barranquero <lekktu@gmail.com> 62008-04-16 Juanma Barranquero <lekktu@gmail.com>
2 7
3 * character.c (Fchar_bytes, Fchar_width, Fstring_width) 8 * character.c (Fchar_bytes, Fchar_width, Fstring_width)
diff --git a/src/Makefile.in b/src/Makefile.in
index 4ed0b19ed5f..8566848a434 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -240,11 +240,6 @@ STARTFILES = START_FILES
240#endif /* not ORDINARY_LINK */ 240#endif /* not ORDINARY_LINK */
241 241
242 242
243#if HAVE_GTK
244#define USE_GTK
245TOOLKIT_DEFINES = -DUSE_GTK
246#endif
247
248#ifdef USE_X_TOOLKIT 243#ifdef USE_X_TOOLKIT
249#define USE_@X_TOOLKIT_TYPE@ 244#define USE_@X_TOOLKIT_TYPE@
250TOOLKIT_DEFINES = -DUSE_@X_TOOLKIT_TYPE@ 245TOOLKIT_DEFINES = -DUSE_@X_TOOLKIT_TYPE@
@@ -980,7 +975,7 @@ temacs${EXEEXT}: $(LOCALCPP) $(STARTFILES) stamp-oldxmenu ${obj} ${otherobj} OBJ
980prefix-args${EXEEXT}: prefix-args.c $(config_h) 975prefix-args${EXEEXT}: prefix-args.c $(config_h)
981 $(CC) $(ALL_CFLAGS) $(LDFLAGS) ${srcdir}/prefix-args.c -o prefix-args 976 $(CC) $(ALL_CFLAGS) $(LDFLAGS) ${srcdir}/prefix-args.c -o prefix-args
982 977
983#if defined (HAVE_X_WINDOWS) && defined (HAVE_X11) && defined (HAVE_MENUS) && ! defined (HAVE_GTK) 978#if defined (HAVE_X_WINDOWS) && defined (HAVE_X11) && defined (HAVE_MENUS) && ! defined (USE_GTK)
984 979
985/* We use stamp-xmenu with these two deps 980/* We use stamp-xmenu with these two deps
986 to both ensure that lwlib gets remade based on its dependencies 981 to both ensure that lwlib gets remade based on its dependencies
@@ -1029,12 +1024,12 @@ really-oldXMenu:
1029 @true /* make -t should not create really-oldXMenu. */ 1024 @true /* make -t should not create really-oldXMenu. */
1030.PHONY: really-oldXMenu 1025.PHONY: really-oldXMenu
1031#endif /* not USE_X_TOOLKIT */ 1026#endif /* not USE_X_TOOLKIT */
1032#else /* not (HAVE_X_WINDOWS && HAVE_X11 && HAVE_MENUS && ! HAVE_GTK) */ 1027#else /* not (HAVE_X_WINDOWS && HAVE_X11 && HAVE_MENUS && ! USE_GTK) */
1033 1028
1034/* We don''t really need this, but satisfy the dependency. */ 1029/* We don''t really need this, but satisfy the dependency. */
1035stamp-oldxmenu: 1030stamp-oldxmenu:
1036 touch stamp-oldxmenu 1031 touch stamp-oldxmenu
1037#endif /* not (HAVE_X_WINDOWS && HAVE_X11 && HAVE_MENUS && ! HAVE_GTK) */ 1032#endif /* not (HAVE_X_WINDOWS && HAVE_X11 && HAVE_MENUS && ! USE_GTK) */
1038 1033
1039../config.status:: epaths.in 1034../config.status:: epaths.in
1040 @echo "The file epaths.h needs to be set up from epaths.in." 1035 @echo "The file epaths.h needs to be set up from epaths.in."
diff --git a/src/config.in b/src/config.in
index 83e58b0a401..b3fefc18853 100644
--- a/src/config.in
+++ b/src/config.in
@@ -244,9 +244,6 @@ Boston, MA 02110-1301, USA. */
244/* Define to 1 if you have the `grantpt' function. */ 244/* Define to 1 if you have the `grantpt' function. */
245#undef HAVE_GRANTPT 245#undef HAVE_GRANTPT
246 246
247/* Define to 1 if using GTK. */
248#undef HAVE_GTK
249
250/* Define to 1 if you have GTK and pthread (-lpthread). */ 247/* Define to 1 if you have GTK and pthread (-lpthread). */
251#undef HAVE_GTK_AND_PTHREAD 248#undef HAVE_GTK_AND_PTHREAD
252 249
@@ -837,6 +834,9 @@ Boston, MA 02110-1301, USA. */
837/* Define to 1 on System V Release 4. */ 834/* Define to 1 on System V Release 4. */
838#undef SVR4 835#undef SVR4
839 836
837/* Process async input synchronously. */
838#undef SYNC_INPUT
839
840/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */ 840/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
841#undef TIME_WITH_SYS_TIME 841#undef TIME_WITH_SYS_TIME
842 842
@@ -856,6 +856,9 @@ Boston, MA 02110-1301, USA. */
856/* Define to 1 if we should use font-backend. */ 856/* Define to 1 if we should use font-backend. */
857#undef USE_FONT_BACKEND 857#undef USE_FONT_BACKEND
858 858
859/* Define to 1 if using GTK. */
860#undef USE_GTK
861
859/* Define to 1 if we should use toolkit scroll bars. */ 862/* Define to 1 if we should use toolkit scroll bars. */
860#undef USE_TOOLKIT_SCROLL_BARS 863#undef USE_TOOLKIT_SCROLL_BARS
861 864
@@ -890,6 +893,27 @@ Boston, MA 02110-1301, USA. */
890/* Define for large files, on AIX-style hosts. */ 893/* Define for large files, on AIX-style hosts. */
891#undef _LARGE_FILES 894#undef _LARGE_FILES
892 895
896/* Define to 1 if on MINIX. */
897#undef _MINIX
898
899/* Define to 2 if the system does not provide POSIX.1 features except with
900 this defined. */
901#undef _POSIX_1_SOURCE
902
903/* Define to 1 if you need to in order for `stat' and other things to work. */
904#undef _POSIX_SOURCE
905
906/* Enable extensions on Solaris. */
907#ifndef __EXTENSIONS__
908# undef __EXTENSIONS__
909#endif
910#ifndef _POSIX_PTHREAD_SEMANTICS
911# undef _POSIX_PTHREAD_SEMANTICS
912#endif
913#ifndef _TANDEM_SOURCE
914# undef _TANDEM_SOURCE
915#endif
916
893/* Define to rpl_ if the getopt replacement functions and variables should be 917/* Define to rpl_ if the getopt replacement functions and variables should be
894 used. */ 918 used. */
895#undef __GETOPT_PREFIX 919#undef __GETOPT_PREFIX